# Often html doc files aren't sync with tf releases.
# New tf releases contains mostly bug fixes, so
# older docs should be ok.
%define		doc_ver 	50b8
Summary:	tf - TinyFugue - text-mode MUD client
Summary(pl.UTF-8):	tf - TinyFugue - tekstowy klient do MUD-ów
Name:		tf
Version:	50b8
Release:	7
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/tinyfugue/%{name}-%{version}.tar.gz
# Source0-md5:	3e994e791966d274f63b0e61abf2ef59
Source1:	http://dl.sourceforge.net/tinyfugue/%{name}-%{doc_ver}-help.tar.gz
# Source1-md5:	26eb64b2f811c8143e9c08654d26d138
Source2:	http://www.ingwar.eu.org/downloads/%{name}.syntax.gz
# Source2-md5:	398aa4c28e83fb2ce688eade24c5fc88
Patch0:		pcre.patch
Patch1:		typedef-not-var.patch
URL:		http://sourceforge.net/projects/tinyfugue/
BuildRequires:	autoconf
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyFugue is a MUD-Client (Multi User Dungeons) that allows the user
to dive into one the most fascinating
Multi-User-Non-Graphic-Fantasy-Role-Playing-Games. Just Enter "tf" and
enjoy your game. This client works in text mode, supports MCCP
compression and multiline statusbar.

%description -l pl.UTF-8
TinyFugue jest klientem MUD (Multi User Dungeons), który pozwala
użytkownikowi zagłębić się w najbardziej fascynujący świat
Multi-User-Non-Graphic-Fantasy-Role-Playing-Games. Jest to po prostu
jeden z najlepszych, jeśli nie najlepszy klient do gry w MUD-y. Działa
w trybie tekstowym, obsługuje protokół kompresji MCCP oraz posiada
obsługę wieloliniowego statusu.

%package doc
Summary:	tf - TinyFugue - text-mode MUD client - HTML help files
Summary(pl.UTF-8):	tf - TinyFugue - tekstowy klient do MUD-ów - pliki pomocy w HTML
Group:		Applications/Games

%description doc
HTML help files.

%description doc -l pl.UTF-8
Pliki pomocy w HTML.

%prep
%setup -q
tar xzPf %{SOURCE1}
cp %{SOURCE2} .
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/tf-lib
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/topics
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/commands


install tf-lib/* $RPM_BUILD_ROOT%{_libdir}/tf-lib
install src/tf $RPM_BUILD_ROOT%{_bindir}

install %{name}-%{doc_ver}-help/topics/* $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/topics
install %{name}-%{doc_ver}-help/commands/* $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/commands
install %{name}-%{doc_ver}-help/index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/index.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "%{name}-%{version} is _beta_ release!"
echo "Some of your scripts may not work or work not properly."
echo "You have been warned."

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS README tf.syntax.gz
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}-lib

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-%{version}
%changelog
* Mon Oct 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tf.git;a=log;h=master

* Mon Oct 11 2021 Jan Rękorajski <baggins@pld-linux.org> efdcbf6
- explicit typedef, rebuild with openssl 3.0.0, rel 7

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ba7e191
- release 6 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9019d7c
- ncurses rebuild
- release 5 (by relup.sh)

* Wed Mar 28 2012 Artur Frysiak <artur@frysiak.net> 0659945
- fix build with pcre 8.30
- rel. 4

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aa672c1
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 72a0772
- release 2

* Wed May 06 2009 amateja <amateja@pld-linux.org> 5c6a76a
- fixed SourceX-md5

* Wed May 06 2009 amateja <amateja@pld-linux.org> 140b4b0
- updated to 50b8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b36ba29
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c15808
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 2d536ae
- orphaned, outdated

* Sun Oct 09 2005 snurf <snurf@pld-linux.org> 246143f
- up to 50b7

* Tue Jul 05 2005 darekr <darekr@pld-linux.org> 8785633
- simplify %setup

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> b683216
- spaces->tabs

* Mon Aug 09 2004 snurf <snurf@pld-linux.org> a44b100
- updated to 50b6

* Mon Aug 09 2004 snurf <snurf@pld-linux.org> c47a3bf
- multistatus patch for tf 50b6

* Wed Aug 04 2004 snurf <snurf@pld-linux.org> 9653d1f
- updated to 50b5

* Wed Aug 04 2004 snurf <snurf@pld-linux.org> d2a59d3
- multistatus patch for tf-50b5,
  from http://www.ingwar.eu.org/index_download.html

* Fri Jul 30 2004 snurf <snurf@pld-linux.org> ee5f277
- added missing br (tf builds and works without ncurses-devel, but terminal
  codes are hardcoded - that couses strange behaviour with f.e. keybindings)

* Mon Jul 12 2004 snurf <snurf@pld-linux.org> 8ed1122
- updated
 * up to 50b4
 * release 1 (reported to work fine)
 * added mc tf syntax hilighting by Karol Lassak (ingwar at go2 dot pl)
 * added missing BR

